// ①前へ進む
void car_go () {
  Serial.println("car_go");
  digitalWrite(R_WHEEL_IN1, HIGH);
  digitalWrite(R_WHEEL_IN2, LOW);
  digitalWrite(L_WHEEL_IN1, HIGH);
  digitalWrite(L_WHEEL_IN2, LOW);
}

// ②右へ旋回（回転）
void car_right (int t_time) {
  Serial.println("car_right");
  car_stop();
  delay(150);
  digitalWrite(R_WHEEL_IN1, LOW);
  digitalWrite(R_WHEEL_IN2, HIGH);
  digitalWrite(L_WHEEL_IN1, HIGH);
  digitalWrite(L_WHEEL_IN2, LOW);
  delay(t_time);
  car_stop();
}

// ③左へ旋回（回転）
void car_left (int t_time) {
  Serial.println("car_left");
  car_stop();
  delay(150);
  digitalWrite(R_WHEEL_IN1, HIGH);
  digitalWrite(R_WHEEL_IN2, LOW);
  digitalWrite(L_WHEEL_IN1, LOW);
  digitalWrite(L_WHEEL_IN2, HIGH);
  delay(t_time);
  car_stop();
}

// ④左へ旋回（回転）
void car_turn180 () {
  Serial.println("car_turn180");
  car_stop();
  delay(150);
  digitalWrite(R_WHEEL_IN1, LOW);
  digitalWrite(R_WHEEL_IN2, HIGH);
  digitalWrite(L_WHEEL_IN1, HIGH);
  digitalWrite(L_WHEEL_IN2, LOW);
  delay(TURN180_TIME);
  car_stop();
}

// ⑤停止
void car_stop () {
  Serial.println("car_stop");
  digitalWrite(R_WHEEL_IN1, LOW);
  digitalWrite(R_WHEEL_IN2, LOW);
  digitalWrite(L_WHEEL_IN1, LOW);
  digitalWrite(L_WHEEL_IN2, LOW);
}

// ⑥後ろへ回転
void car_backturn () {
  Serial.println("car_backturn");
  car_stop();
  delay(150);
  digitalWrite(R_WHEEL_IN1, LOW);
  digitalWrite(R_WHEEL_IN2, HIGH);
  digitalWrite(L_WHEEL_IN1, LOW);
  digitalWrite(L_WHEEL_IN2, HIGH);
  delay(500);
  car_turn180();
}

// ⑥後ろへ進む
void car_back () {
  Serial.println("car_backturn");
  car_stop();
  delay(100);
  digitalWrite(R_WHEEL_IN1, LOW);
  digitalWrite(R_WHEEL_IN2, HIGH);
  digitalWrite(L_WHEEL_IN1, LOW);
  digitalWrite(L_WHEEL_IN2, HIGH);
  delay(2000);
  car_stop();
}
